Bug 1074315 - wicd-client.py:752:_trigger_scan_if_needed:AttributeError: 'NoneType' object has no attribute 'Scan'
Summary: wicd-client.py:752:_trigger_scan_if_needed:AttributeError: 'NoneType' object ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wicd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1148402 1148593 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-09 17:40 UTC by Peter H. Jones
Modified: 2014-12-06 10:18 UTC (History)
5 users (show)

Fixed In Version: wicd-1.7.2.4-14.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-27 08:36:37 UTC
Type: Bug


Attachments (Terms of Use)
compressed tar of ABRT's dump data (2.63 KB, application/x-gzip)
2014-03-09 17:40 UTC, Peter H. Jones
no flags Details
/var/log/messages since last boot (279.64 KB, text/plain)
2014-03-09 17:47 UTC, Peter H. Jones
no flags Details
tar of ABRT (40.00 KB, application/octet-stream)
2014-11-28 22:30 UTC, Peter H. Jones
no flags Details
ABRT data (2.36 KB, application/octet-stream)
2014-12-04 08:41 UTC, Peter H. Jones
no flags Details

Description Peter H. Jones 2014-03-09 17:40:14 UTC
Created attachment 872439 [details]
compressed tar of ABRT's dump data

Description of problem:
I have both NetworkManager and wicd installed on my system. I had been trying to see if wicd would make it possible for my system to provide a wifi access point in XFCE, as Network Manager does in the Desktop (Gnome) environment.

When I was not able to do that, and seemed to get frequent disconnects using wicd, I decided to revert to NetworkManager. However, I think I may have failed to disable wicd from starting at boot.

# service wicd status gives:
"Redirecting to /bin/systemctl status  wicd.service
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; disabled)
   Active: inactive (dead)"

Version-Release number of selected component (if applicable):
wicd-gtk-1.7.2.4-8.fc20.noarch


How reproducible:
Tried only once, then did a "system wicd disable", hoping the next boot will not encounter the problem.

Steps to Reproduce:
1. Try to boot with both wicd and NetworkManager enabled.


Actual results:
wicd-gtk crashes because the wicd daemon isn't running.

Expected results:
wicd-gtk should exit gracefully, preferable explaing to the average user how to solve the problem.

Additional info:
When entering the Description line, bugzilla showed duplicates since FC13. This is a strong argument for having any wicd client exit gracefully if wicd is not running.

Comment 1 Peter H. Jones 2014-03-09 17:47:06 UTC
Created attachment 872440 [details]
/var/log/messages since last boot

Comment 2 Peter H. Jones 2014-03-09 17:48:48 UTC
See also bug 851821.

Comment 3 David Cantrell 2014-06-30 14:04:24 UTC
wicd is not intended to be used concurrently with NetworkManager or any other device management daemon.  That said, it's very easy to get yourself in a situation where both are running and you're trying to correct things.  Your suggestion of exiting with an explanation of how to fix up the services is a good idea.  I'll see what sort of patch I can work up today for that.

Comment 4 Fedora Update System 2014-06-30 15:54:22 UTC
wicd-1.7.2.4-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-9.fc20

Comment 5 Peter H. Jones 2014-06-30 20:15:12 UTC
When I tried running wicd, I was aware that NetworkManager could not be running at the same time. Perhaps network management services could have a lock mechanism to prevent a second one starting, similar to the yum lock et al. Thanks for the patch. I'll try your wicd-1.7.2.4-9.fc20.

Comment 6 Peter H. Jones 2014-06-30 22:01:14 UTC
In FC20, I stopped and diabled NetworkManager and rebooted. Despite all that, I don't get the wicd applet. Here is my printout:

"bash-4.2$ su
Password: 
[root@hp61host jones]# wicd-gtk
Has notifications support True
ERROR: Unable to communicate with wicd daemon.

Be sure the wicd service is enabled and running:
    systemctl enable wicd.service
    systemctl start wicd.service

NOTE: NetworkManager and other network device daemons must be disabled.
[root@hp61host jones]# systemctl enable wicd.service
[root@hp61host jones]# systemctl start wicd.service
[root@hp61host jones]# wicd-gtk
Has notifications support True
ERROR: Unable to communicate with wicd daemon.

Be sure the wicd service is enabled and running:
    systemctl enable wicd.service
    systemctl start wicd.service

NOTE: NetworkManager and other network device daemons must be disabled.
[root@hp61host jones]# systemctl status wicd.service
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; enabled)
   Active: active (running) since Mon 2014-06-30 17:05:00 EDT; 39min ago
 Main PID: 595 (wicd)
   CGroup: /system.slice/wicd.service
           ├─ 595 /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --...
           └─1017 /usr/bin/python -O /usr/share/wicd/daemon/monitor.py

Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:31:57 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:43:49 hp61host.jonesdomain systemd[1]: Started Wicd a wireless and....
Hint: Some lines were ellipsized, use -l to show in full.
[root@hp61host jones]# systemctl status wicd.service
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; enabled)
   Active: active (running) since Mon 2014-06-30 17:05:00 EDT; 40min ago
 Main PID: 595 (wicd)
   CGroup: /system.slice/wicd.service
           ├─ 595 /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --no-daemon
           └─1017 /usr/bin/python -O /usr/share/wicd/daemon/monitor.py

Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
Jun 30 17:45:27 hp61host.jonesdomain wicd[595]: Throttling autoreconnect
[root@hp61host jones]# wicd-gtk
Has notifications support True
ERROR: Unable to communicate with wicd daemon.

Be sure the wicd service is enabled and running:
    systemctl enable wicd.service
    systemctl start wicd.service

NOTE: NetworkManager and other network device daemons must be disabled.
[root@hp61host jones]# systemctl status NetworkManager
NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; disabled)
   Active: inactive (dead)
"

When I moused over the NetworkManager applet, I got an indication that the Network Manager was not running, as expected, until I reenabled and restarted Network Manager. That's how I'm filing this comment.

Comment 7 Peter H. Jones 2014-07-01 05:22:28 UTC
Oops! When I tried to install wicd-1.7.2.4-10.fc21 on a rawhide live custom build, I found I was lacking python-notifier, which meant I had no applet to test wicd in the FC20 system. Will install python-notifier in the FC20 system and test again.

Comment 8 Fedora Update System 2014-07-01 07:23:54 UTC
Package wicd-1.7.2.4-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.4-9.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7967/wicd-1.7.2.4-9.fc20
then log in and leave karma (feedback).

Comment 9 Peter H. Jones 2014-07-01 22:07:22 UTC
After looking at /usr/*bin/*wicd*, I discovered wicd-client, which is the obvious choice for testing the applet. I did not see wicd-client mentioned in the man page for wicd.

In both FC20 and FC21, I find wicd-client failing to recognize a running wicd daemon. wicd-cli also behaves that way.

I suggest it's sufficient to not have NetworkManager running, not disabled as the warning messages suggest.

I don't know if it's useful for users to be able to switch between NM and wicd. If so, a one-click solution to switch between them would be nice. However, I think it preferable to develop a single modular networking strategy that would have as many desired features as possible available for modular installation. In my case, as stated in Comment #1, I just wanted my computer to be able to provide a wireless WPA access point. I tried wicd because I had read on the web that wicd could provide this possibility.

Comment 10 Fedora Update System 2014-07-02 15:16:02 UTC
wicd-1.7.2.4-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-10.fc20

Comment 11 Fedora Update System 2014-07-02 15:51:52 UTC
wicd-1.7.2.4-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-11.fc20

Comment 12 David Cantrell 2014-07-02 17:08:18 UTC
(In reply to Peter H. Jones from comment #9)
> After looking at /usr/*bin/*wicd*, I discovered wicd-client, which is the
> obvious choice for testing the applet. I did not see wicd-client mentioned
> in the man page for wicd.
> 
> In both FC20 and FC21, I find wicd-client failing to recognize a running
> wicd daemon. wicd-cli also behaves that way.

All it does here is attempt to communicate over D-Bus.

> I suggest it's sufficient to not have NetworkManager running, not disabled
> as the warning messages suggest.

You need to have NetworkManager disabled.  The main issue is that both NM and wicd want to alter device configuration.  They are not intended to be used together.  There's no point as they both provide similar functionality.

> I don't know if it's useful for users to be able to switch between NM and
> wicd. If so, a one-click solution to switch between them would be nice.
> However, I think it preferable to develop a single modular networking
> strategy that would have as many desired features as possible available for
> modular installation. In my case, as stated in Comment #1, I just wanted my
> computer to be able to provide a wireless WPA access point. I tried wicd
> because I had read on the web that wicd could provide this possibility.

What you're describing is what Fedora has done around NetworkManager development.  wicd was added by me as an alternative for Fedora users lacking the ability to run the NetworkManager client.  Users running environments other than GNOME or KDE, for example.  There is no desire by me to have wicd replace or extend its functionality in Fedora.  All I'm doing is packaging upstream and fixing problems that arise and submitting changes upstream.

Unless there is a good reason not to use NetworkManager, you should use it on Fedora.  It can provide link sharing via wireless as you described, among other things.  Feature functionality in this area will be developed in NetworkManager, not wicd.

Comment 13 Fedora Update System 2014-09-26 09:06:15 UTC
wicd-1.7.2.4-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Kwame Bahena 2014-09-27 17:02:56 UTC
I ran into the same issue as explained above user Peter H Jones.

This is the version of wicd, wicd-common and wicd-gtk pacakges I have on my system:

[root@r2d2 ~]# rpm -qa | grep wicd
wicd-1.7.2.4-11.fc20.x86_64
wicd-common-1.7.2.4-11.fc20.noarch
wicd-gtk-1.7.2.4-11.fc20.noarch
[root@r2d2 ~]# 

Wicd was working when I installed and updated wicd to 1.7.2.4-8

[root@r2d2 ~]# grep wicd /var/log/yum.log
Sep 21 07:33:49 Installed: wicd-common-1.7.2.4-8.fc20.noarch
Sep 21 07:33:49 Installed: wicd-1.7.2.4-8.fc20.x86_64
Sep 21 07:33:49 Installed: wicd-gtk-1.7.2.4-8.fc20.noarch
Sep 26 14:19:04 Updated: wicd-common-1.7.2.4-11.fc20.noarch
Sep 26 14:19:04 Updated: wicd-1.7.2.4-11.fc20.x86_64
Sep 26 14:19:04 Updated: wicd-gtk-1.7.2.4-11.fc20.noarch


But after I updated to 1.7.2.40-11 wicd-gtk won't work any more:

[root@r2d2 ~]# systemctl status wicd.service
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; enabled)
   Active: failed (Result: exit-code) since Sat 2014-09-27 11:47:37 CDT; 6min ago
 Main PID: 1884 (code=exited, status=1/FAILURE)
   CGroup: /system.slice/wicd.service

Sep 27 11:46:32 r2d2.informatux.net systemd[1]: Started Wicd a wireless and wired network m...x.
Sep 27 11:46:51 r2d2.informatux.net systemd[1]: Started Wicd a wireless and wired network m...x.
Sep 27 11:47:37 r2d2.informatux.net systemd[1]: wicd.service: main process exited, code=exi...RE
Sep 27 11:47:37 r2d2.informatux.net systemd[1]: Unit wicd.service entered failed state.
Sep 27 11:48:16 r2d2.informatux.net systemd[1]: Stopped Wicd a wireless and wired network m...x.
Hint: Some lines were ellipsized, use -l to show in full.
[root@r2d2 ~]# systemctl start wicd.service
[root@r2d2 ~]# systemctl status wicd.service
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; enabled)
   Active: active (running) since Sat 2014-09-27 11:54:08 CDT; 1s ago
 Main PID: 2850 (wicd)
   CGroup: /system.slice/wicd.service
           ├─2850 /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --no-daemon
           ├─2856 /usr/bin/python -O /usr/share/wicd/daemon/monitor.py
           └─2860 iwlist wlp3s0 scan

Sep 27 11:54:08 r2d2.informatux.net systemd[1]: Started Wicd a wireless and wired network m...x.
Hint: Some lines were ellipsized, use -l to show in full.
[root@r2d2 ~]# systemctl status wicd.service -l
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; enabled)
   Active: active (running) since Sat 2014-09-27 11:54:08 CDT; 9s ago
 Main PID: 2850 (wicd)
   CGroup: /system.slice/wicd.service
           ├─2850 /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --no-daemon
           ├─2856 /usr/bin/python -O /usr/share/wicd/daemon/monitor.py
           └─2866 iwlist wlp3s0 scan

Sep 27 11:54:08 r2d2.informatux.net systemd[1]: Started Wicd a wireless and wired network manager for Linux.
[root@r2d2 ~]#


kwame@r2d2:~ $ wicd-gtk 
Has notifications support True
ERROR: Unable to communicate with wicd daemon.

Be sure the wicd service is enabled and running:
    systemctl enable wicd.service
    systemctl start wicd.service

NOTE: NetworkManager and other network device daemons must be disabled.
kwame@r2d2:~ $

Comment 15 Andrey Ivanov 2014-09-29 00:07:15 UTC
I'm not sure if this is a bug, but I faced with the same problem.

rpm -qa|grep wicd
wicd-common-1.7.2.4-11.fc20.noarch
wicd-1.7.2.4-11.fc20.x86_64
wicd-gtk-1.7.2.4-11.fc20.noarch

wicd.service is running and working fine:

systemctl status wicd.service 
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; enabled)
   Active: active (running) since Вс 2014-09-28 23:50:45 MSK; 4h 9min ago
 Main PID: 570 (wicd)
   CGroup: /system.slice/wicd.service
           ├─ 570 /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --no-daemon
           ├─ 732 /usr/bin/python -O /usr/share/wicd/daemon/monitor.py
           ├─1115 wpa_supplicant -B -i wlp2s0 -c /var/lib/wicd/configurations/c04a00b67a9c -Dwext
           └─1230 /usr/sbin/dhclient -v -cf /var/lib/wicd/dhclient.conf wlp2s0

but wicd-gtk failed with error:
wicd-gtk 
Has notifications support True
ERROR: Unable to communicate with wicd daemon.

Be sure the wicd service is enabled and running:
    systemctl enable wicd.service
    systemctl start wicd.service

NOTE: NetworkManager and other network device daemons must be disabled.


I've compared /usr/share/wicd/gtk/wicd-client.py from the 
wicd-gtk-1.7.2.4-7.fc20.noarch.rpm 
and currently installed
wicd-gtk-1.7.2.4-11.fc20.noarch
and the only difference is this condition:
>     if wireless is None:
>         sys.stderr.write("ERROR: Unable to communicate with wicd daemon.\n\n")
>         sys.stderr.write("Be sure the wicd service is enabled and running:\n")
>         sys.stderr.write("    systemctl enable wicd.service\n")
>         sys.stderr.write("    systemctl start wicd.service\n\n")
>         sys.stderr.write("NOTE: NetworkManager and other network device daemons must be disabled.\n")
>         sys.exit(1)

After commenting this block at the bottom of the wicd-client.py, GTK client works fine.

Comment 16 David Cantrell 2014-09-29 12:42:42 UTC
So the patch in wicd-client.py you're referencing was made a long time ago and it appears I don't really need that safety net anymore.  I'm going to remove the patch for now and issue a new update.  Thanks.

Comment 17 Fedora Update System 2014-09-29 13:07:33 UTC
wicd-1.7.2.4-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-13.fc20

Comment 18 Fedora Update System 2014-09-29 13:44:16 UTC
wicd-1.7.2.4-14.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-14.fc21

Comment 19 Fedora Update System 2014-09-30 01:58:14 UTC
Package wicd-1.7.2.4-13.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.4-13.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11835/wicd-1.7.2.4-13.fc20
then log in and leave karma (feedback).

Comment 20 Kwame Bahena 2014-10-06 15:19:20 UTC
Hi, 

I installed the suggested updates for wicd from the updates-testing repo and now wicd-gtk starts but it won't connect to any wifi access point.

Here's the version of wicd packages I have on my laptop:

[root@r2d2 ~]# rpm -qa | grep wicd
wicd-common-1.7.2.4-13.fc20.noarch
wicd-gtk-1.7.2.4-13.fc20.noarch
wicd-1.7.2.4-13.fc20.x86_64
[root@r2d2 ~]#

I verified that both wicd and NetworkManager where not running and then I started wicd:

[root@r2d2 ~]# systemctl status wicd.service
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; disabled)
   Active: inactive (dead)

[root@r2d2 ~]# systemctl status NetworkManager.service
NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; disabled)
   Active: inactive (dead)

[root@r2d2 ~]# systemctl start wicd.service
[root@r2d2 ~]#

And then I started wicd-gtk:

kwame@r2d2:~ $ wicd-gtk 
Has notifications support True
Loading...
Connecting to daemon...
Connected.
displaytray True
Done loading.
refreshing...
ESSID : Linux_ap
ESSID : WiFi
ESSID : arris5821
ESSID : yenni 1
ESSID : Global
ESSID : DIRECT-hc-BRAVIA
ESSID : INFINITUM0321
setting encryption info...
ERROR:dbus.connection:Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 230, in maybe_handle_message
    self._handler(*args, **kwargs)
  File "/usr/share/wicd/gtk/gui.py", line 263, in handle_connection_results
    error(self.window, language[results], block=False)
KeyError: dbus.String(u'dhcp_failed')


Then I attempted to connect to one of my wifi access point but it just stays on "attempting to get ip" 

this is the log from /var/log/wicd.log

[root@r2d2 ~]# tail -f /var/log/wicd.log
2014/10/06 10:06:41 :: Internet Systems Consortium DHCP Client 4.2.7
2014/10/06 10:06:41 :: Copyright 2004-2014 Internet Systems Consortium.
2014/10/06 10:06:41 :: All rights reserved.
2014/10/06 10:06:41 :: For info, please visit https://www.isc.org/software/dhcp/
2014/10/06 10:06:41 :: 
2014/10/06 10:06:42 :: Listening on LPF/wlp3s0/a0:88:b4:76:0d:10
2014/10/06 10:06:42 :: Sending on   LPF/wlp3s0/a0:88:b4:76:0d:10
2014/10/06 10:06:42 :: Sending on   Socket/fallback
2014/10/06 10:06:42 :: DHCPDISCOVER on wlp3s0 to 255.255.255.255 port 67 interval 3 (xid=0x135725cc)
2014/10/06 10:06:45 :: DHCPDISCOVER on wlp3s0 to 255.255.255.255 port 67 interval 6 (xid=0x135725cc)
2014/10/06 10:06:51 :: DHCPDISCOVER on wlp3s0 to 255.255.255.255 port 67 interval 10 (xid=0x135725cc)
2014/10/06 10:07:01 :: DHCPDISCOVER on wlp3s0 to 255.255.255.255 port 67 interval 14 (xid=0x135725cc)
2014/10/06 10:07:15 :: DHCPDISCOVER on wlp3s0 to 255.255.255.255 port 67 interval 15 (xid=0x135725cc)
2014/10/06 10:07:30 :: DHCPDISCOVER on wlp3s0 to 255.255.255.255 port 67 interval 13 (xid=0x135725cc)
2014/10/06 10:07:43 :: No DHCPOFFERS received.
2014/10/06 10:07:43 :: No working leases in persistent database - sleeping.
2014/10/06 10:07:43 :: DHCP connection failed
2014/10/06 10:07:43 :: exiting connection thread
2014/10/06 10:07:43 :: Sending connection attempt result dhcp_failed
2014/10/06 10:07:43 :: Running pre-disconnect script
2014/10/06 10:07:43 :: Expanded '[u'None']' to '[u'None']'
2014/10/06 10:07:43 :: attempting to set hostname with dhclient
2014/10/06 10:07:43 :: using dhcpcd or another supported client may work better
2014/10/06 10:07:44 :: Running post-disconnect script
2014/10/06 10:07:44 :: Expanded '[u'None']' to '[u'None']'
2014/10/06 10:07:44 :: attempting to set hostname with dhclient
2014/10/06 10:07:44 :: using dhcpcd or another supported client may work better


I just make sure wicd.service is running:

^C
[root@r2d2 ~]# systemctl status wicd.service -l
wicd.service - Wicd a wireless and wired network manager for Linux
   Loaded: loaded (/usr/lib/systemd/system/wicd.service; disabled)
   Active: active (running) since Mon 2014-10-06 10:06:02 CDT; 1min 51s ago
 Main PID: 1777 (wicd)
   CGroup: /system.slice/wicd.service
           ├─1777 /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --no-daemon
           └─1783 /usr/bin/python -O /usr/share/wicd/daemon/monitor.py

Oct 06 10:07:44 r2d2.informatux.net wicd[1777]: Copyright 2004-2014 Internet Systems Consortium.
Oct 06 10:07:44 r2d2.informatux.net wicd[1777]: All rights reserved.
Oct 06 10:07:44 r2d2.informatux.net wicd[1777]: For info, please visit https://www.isc.org/software/dhcp/
Oct 06 10:07:44 r2d2.informatux.net dhclient[2082]: Listening on LPF/virbr1-nic/52:54:00:c7:45:75
Oct 06 10:07:44 r2d2.informatux.net dhclient[2082]: Sending on   LPF/virbr1-nic/52:54:00:c7:45:75
Oct 06 10:07:44 r2d2.informatux.net dhclient[2082]: Sending on   Socket/fallback
Oct 06 10:07:44 r2d2.informatux.net wicd[1777]: Listening on LPF/virbr1-nic/52:54:00:c7:45:75
Oct 06 10:07:44 r2d2.informatux.net wicd[1777]: Sending on   LPF/virbr1-nic/52:54:00:c7:45:75
Oct 06 10:07:44 r2d2.informatux.net wicd[1777]: Sending on   Socket/fallback
Oct 06 10:07:44 r2d2.informatux.net wicd[1777]: Failed to connect to non-global ctrl_ifname: virbr1-nic  error: No such file or directory


So, I don't know if something else is missing.
Any pointers?

Cheers!

Comment 21 David Cantrell 2014-11-25 16:17:12 UTC
*** Bug 1148402 has been marked as a duplicate of this bug. ***

Comment 22 David Cantrell 2014-11-25 16:21:32 UTC
*** Bug 1148593 has been marked as a duplicate of this bug. ***

Comment 23 Fedora Update System 2014-11-27 08:36:37 UTC
wicd-1.7.2.4-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Peter H. Jones 2014-11-28 22:30:29 UTC
Created attachment 962594 [details]
tar of ABRT

Got this traceback in a custom live build on Xfce.

Comment 25 David Cantrell 2014-12-01 13:29:06 UTC
Looks like the daemon sees no wireless devices -or- the D-Bus communication is still failing.

Can you patch wicd-client.py with this:

--- wicd-client.py.orig	2012-02-12 05:11:15.000000000 -0500
+++ wicd-client.py	2014-12-01 08:26:55.668761787 -0500
@@ -964,6 +964,8 @@
     daemon = dbus_ifaces['daemon']
     wireless = dbus_ifaces['wireless']
     wired = dbus_ifaces['wired']
+    import pdb
+        pdb.set_trace()
     DBUS_AVAIL = True
     print "Connected."
     return True

Then try to run it from a prompt and report back the values of 'wireless', 'wired', 'daemon', and 'dbus_ifaces'.

Comment 26 Peter H. Jones 2014-12-04 08:41:13 UTC
Created attachment 964480 [details]
ABRT data

I applied the patch requested in comment #25 as follows during the livecreator build:
"%post --nochroot #patches
patch --verbose -d $INSTALL_ROOT$(rpm --root $INSTALL_ROOT -ql wicd-gtk | grep '\/wicd-client\.py$' | sed 's/\/[^/]*$//' ) << EOF
--- wicd-client.py.orig    2012-02-12 05:11:15.000000000 -0500
+++ wicd-client.py    2014-12-01 08:26:55.668761787 -0500
@@ -964,6 +964,8 @@
     daemon = dbus_ifaces['daemon']
     wireless = dbus_ifaces['wireless']
     wired = dbus_ifaces['wired']
+    import pdb
+        pdb.set_trace()
     DBUS_AVAIL = True
     print "Connected."
     return True
EOF
"

In other words, I applied the patch as requested, but did not rebuild wicd-gtk.
The abort data was visisble after booting.

The backtrace file contains:
"unexpected indent (wicd-client.py, line 967)

  File "/usr/share/wicd/gtk/wicd-client.py", line 967
    pdb.set_trace()
    ^
IndentationError: unexpected indent
"

Undoing the patch allowed wicd to work normally.

Comment 27 Fedora Update System 2014-12-06 10:18:01 UTC
wicd-1.7.2.4-14.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.